# The Charge object

### The Charge object

```json
{
  "id": "ch_3MmlLrLkdIwHu7ix0snN0B15",
  "object": "charge",
  "amount": 1099,
  "amount_captured": 1099,
  "amount_refunded": 0,
  "application": null,
  "application_fee": null,
  "application_fee_amount": null,
  "balance_transaction": "txn_3MmlLrLkdIwHu7ix0uke3Ezy",
  "billing_details": {
    "address": {
      "city": null,
      "country": null,
      "line1": null,
      "line2": null,
      "postal_code": null,
      "state": null
    },
    "email": null,
    "name": null,
    "phone": null
  },
  "calculated_statement_descriptor": "Stripe",
  "captured": true,
  "created": 1679090539,
  "currency": "usd",
  "customer": null,
  "description": null,
  "disputed": false,
  "failure_balance_transaction": null,
  "failure_code": null,
  "failure_message": null,
  "fraud_details": {},
  "livemode": false,
  "metadata": {},
  "on_behalf_of": null,
  "outcome": {
    "network_status": "approved_by_network",
    "reason": null,
    "risk_level": "normal",
    "risk_score": 32,
    "seller_message": "Payment complete.",
    "type": "authorized"
  },
  "paid": true,
  "payment_intent": null,
  "payment_method": "card_1MmlLrLkdIwHu7ixIJwEWSNR",
  "payment_method_details": {
    "card": {
      "brand": "visa",
      "checks": {
        "address_line1_check": null,
        "address_postal_code_check": null,
        "cvc_check": null
      },
      "country": "US",
      "exp_month": 3,
      "exp_year": 2024,
      "fingerprint": "mToisGZ01V71BCos",
      "funding": "credit",
      "installments": null,
      "last4": "4242",
      "mandate": null,
      "network": "visa",
      "three_d_secure": null,
      "wallet": null
    },
    "type": "card"
  },
  "receipt_email": null,
  "receipt_number": null,
  "receipt_url": "https://pay.stripe.com/receipts/payment/CAcaFwoVYWNjdF8xTTJKVGtMa2RJd0h1N2l4KOvG06AGMgZfBXyr1aw6LBa9vaaSRWU96d8qBwz9z2J_CObiV_H2-e8RezSK_sw0KISesp4czsOUlVKY",
  "refunded": false,
  "review": null,
  "shipping": null,
  "source_transfer": null,
  "statement_descriptor": null,
  "statement_descriptor_suffix": null,
  "status": "succeeded",
  "transfer_data": null,
  "transfer_group": null
}
```

## Attributes

- `id` (string)
  Unique identifier for the object.

- `object` (string)
  String representing the object’s type. Objects of the same type share the same value.

- `amount` (integer)
  Amount intended to be collected by this payment. A positive integer representing how much to charge in the [smallest currency unit](https://docs.stripe.com/docs/currencies.md#zero-decimal) (e.g., 100 cents to charge $1.00 or 100 to charge ¥100, a zero-decimal currency). The minimum amount is $0.50 US or [equivalent in charge currency](https://docs.stripe.com/docs/currencies.md#minimum-and-maximum-charge-amounts). The amount value supports up to eight digits (e.g., a value of 99999999 for a USD charge of $999,999.99).

- `amount_captured` (integer)
  Amount in the smallest currency unit captured (can be less than the amount attribute on the charge if a partial capture was made).

- `amount_refunded` (integer)
  Amount in the smallest currency unit refunded (can be less than the amount attribute on the charge if a partial refund was issued).

- `application` (string, nullable, expandable (can be expanded into an object with the `expand` request parameter))
  ID of the Connect application that created the charge.

- `application_fee` (string, nullable, expandable (can be expanded into an object with the `expand` request parameter))
  The application fee (if any) for the charge. [See the Connect documentation](https://docs.stripe.com/docs/connect/direct-charges.md#collect-fees) for details.

- `application_fee_amount` (integer, nullable)
  The amount of the application fee (if any) requested for the charge. [See the Connect documentation](https://docs.stripe.com/docs/connect/direct-charges.md#collect-fees) for details.

- `balance_transaction` (string, nullable, expandable (can be expanded into an object with the `expand` request parameter))
  ID of the balance transaction that describes the impact of this charge on your account balance (not including refunds or disputes).

- [`billing_details`](https://docs.stripe.com/api/charges/object.md?query=billing_details) (object)
  Billing information associated with the payment method at the time of the transaction.

- `calculated_statement_descriptor` (string, nullable)
  The full statement descriptor that is passed to card networks, and that is displayed on your customers’ credit card and bank statements. Allows you to see what the statement descriptor looks like after the static and dynamic portions are combined. This value only exists for card payments.

- `captured` (boolean)
  If the charge was created without capturing, this Boolean represents whether it is still uncaptured or has since been captured.

- `created` (timestamp)
  Time at which the object was created. Measured in seconds since the Unix epoch.

- `currency` (enum)
  Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase. Must be a [supported currency](https://docs.stripe.com/currencies.md).

- `customer` (string, nullable, expandable (can be expanded into an object with the `expand` request parameter))
  ID of the customer this charge is for if one exists.

- `description` (string, nullable)
  An arbitrary string attached to the object. Often useful for displaying to users.

- `disputed` (boolean)
  Whether the charge has been disputed.

- `failure_balance_transaction` (string, nullable, expandable (can be expanded into an object with the `expand` request parameter))
  ID of the balance transaction that describes the reversal of the balance on your account due to payment failure.

- `failure_code` (string, nullable)
  Error code explaining reason for charge failure if available (see [the errors section](https://docs.stripe.com/docs/error-codes.md) for a list of codes).

- `failure_message` (string, nullable)
  Message to user further explaining reason for charge failure if available.

- [`fraud_details`](https://docs.stripe.com/api/charges/object.md?query=fraud_details) (object, nullable)
  Information on fraud assessments for the charge.

- `livemode` (boolean)
  If the object exists in live mode, the value is `true`. If the object exists in test mode, the value is `false`.

- `metadata` (map)
  Set of [key-value pairs](https://docs.stripe.com/docs/api/metadata.md) that you can attach to an object. This can be useful for storing additional information about the object in a structured format.

- `on_behalf_of` (string, nullable, expandable (can be expanded into an object with the `expand` request parameter))
  The account (if any) the charge was made on behalf of without triggering an automatic transfer. See the [Connect documentation](https://docs.stripe.com/docs/connect/separate-charges-and-transfers.md) for details.

- [`outcome`](https://docs.stripe.com/api/charges/object.md?query=outcome) (object, nullable)
  Details about whether the payment was accepted, and why. See [understanding declines](https://docs.stripe.com/docs/declines.md) for details.

- `paid` (boolean)
  `true` if the charge succeeded, or was successfully authorized for later capture.

- `payment_intent` (string, nullable, expandable (can be expanded into an object with the `expand` request parameter))
  ID of the PaymentIntent associated with this charge, if one exists.

- `payment_method` (string, nullable)
  ID of the payment method used in this charge.

- [`payment_method_details`](https://docs.stripe.com/api/charges/object.md?query=payment_method_details) (object, nullable)
  Details about the payment method at the time of the transaction.

- [`presentment_details`](https://docs.stripe.com/api/charges/object.md?query=presentment_details) (object, nullable)
  A hash containing information about the currency presentation to the customer, including the displayed currency and amount used for conversion from the integration currency.

- [`radar_options`](https://docs.stripe.com/api/charges/object.md?query=radar_options) (object, nullable)
  Options to configure Radar. See [Radar Session](https://docs.stripe.com/docs/radar/radar-session.md) for more information.

- `receipt_email` (string, nullable)
  This is the email address that the receipt for this charge was sent to.

- `receipt_number` (string, nullable)
  This is the transaction number that appears on email receipts sent for this charge. This attribute will be `null` until a receipt has been sent.

- `receipt_url` (string, nullable)
  This is the URL to view the receipt for this charge. The receipt is kept up-to-date to the latest state of the charge, including any refunds. If the charge is for an Invoice, the receipt will be stylized as an Invoice receipt.

- `refunded` (boolean)
  Whether the charge has been fully refunded. If the charge is only partially refunded, this attribute will still be false.

- [`refunds`](https://docs.stripe.com/api/charges/object.md?query=refunds) (object, nullable, expandable (can be expanded into an object with the `expand` request parameter))
  A list of refunds that have been applied to the charge.

- `review` (string, nullable, expandable (can be expanded into an object with the `expand` request parameter))
  ID of the review associated with this charge if one exists.

- [`shipping`](https://docs.stripe.com/api/charges/object.md?query=shipping) (object, nullable)
  Shipping information for the charge.

- `source_transfer` (string, nullable, expandable (can be expanded into an object with the `expand` request parameter))
  The transfer ID which created this charge. Only present if the charge came from another Stripe account. [See the Connect documentation](https://docs.stripe.com/connect/destination-charges.md) for details.

- `statement_descriptor` (string, nullable)
  For a non-card charge, text that appears on the customer’s statement as the statement descriptor. This value overrides the account’s default statement descriptor. For information about requirements, including the 22-character limit, see [the Statement Descriptor docs](https://docs.stripe.com/get-started/account/statement-descriptors.md).

  For a card charge, this value is ignored unless you don’t specify a `statement_descriptor_suffix`, in which case this value is used as the suffix.

- `statement_descriptor_suffix` (string, nullable)
  Provides information about a card charge. Concatenated to the account’s [statement descriptor prefix](https://docs.stripe.com/get-started/account/statement-descriptors.md#static) to form the complete statement descriptor that appears on the customer’s statement. If the account has no prefix value, the suffix is concatenated to the account’s statement descriptor.

- `status` (enum)
  The status of the payment is either `succeeded`, `pending`, or `failed`.

- `transfer` (string, nullable, expandable (can be expanded into an object with the `expand` request parameter))
  ID of the transfer to the `destination` account (only applicable if the charge was created using the `destination` parameter).

- [`transfer_data`](https://docs.stripe.com/api/charges/object.md?query=transfer_data) (object, nullable)
  An optional dictionary including the account to automatically transfer to as part of a destination charge. [See the Connect documentation](https://docs.stripe.com/docs/connect/destination-charges.md) for details.

- `transfer_group` (string, nullable)
  A string that identifies this transaction as part of a group. See the [Connect documentation](https://docs.stripe.com/docs/connect/separate-charges-and-transfers.md#transfer-options) for details.
